Bug 15192 - pump writes empty search line in /etc/resolv.conf
Summary: pump writes empty search line in /etc/resolv.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-02 23:39 UTC by Bert de Bruijn
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 22:57:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bert de Bruijn 2000-08-02 23:39:26 UTC
on a system without /etc/pump.conf, pump-0.7.11-2 inserts a 
search
line in /etc/resolv.conf without additional arguments. The
nameserver 10.0.0.1
line is inserted correctly. The stock redhat 6.2 pump does the right thing:
search myown.net
nameserver 10.0.0.1

NB. the dhcp server is an up-to-date sparc32 rawhide machine. Relevant
config entries in /etc/dhcpd.conf there:
option domain-name "myown.net";
option domain-name-servers 10.0.0.1;

syslog messages indicate that pump receives the correct domainname from the
server, but it isn't used in /etc/resolv.conf.

Comment 1 Bert de Bruijn 2000-08-03 12:52:05 UTC
the pump client works on the same pinstripe machine on a network with a (debian)
dhcp-2.2.x server. Same result with dhcp-2.0.x from the same debian package. 
The /etc/resolv.conf file on the client contains the right info then.

Comment 2 Erik Troan 2000-08-05 13:53:11 UTC
When it fails, what does "pump --status" say?

Comment 3 Bert de Bruijn 2000-08-05 15:46:02 UTC
[root@cornelius /root]# pump --status
Device eth0
        IP: 10.0.0.3
        Netmask: 255.255.255.0
        Broadcast: 10.0.0.255
        Network: 10.0.0.0
        Boot server 10.0.0.1
        Next server 10.0.0.1
        Gateway: 10.0.0.1
        Domain: kot.net
        Nameservers: 10.0.0.1
        Ntpservers: 10.0.0.1
        Renewal time: Sat Aug  5 18:47:03 2000
        Expiration time: Sat Aug  5 19:02:03 2000
[root@cornelius /root]# cat /etc/resolv.conf 
search
nameserver 10.0.0.1


Comment 4 Bert de Bruijn 2000-08-05 22:57:30 UTC
bug #15522 provides the explanation for this bug. 
kot.net is discarded by pump, but kot.com is not, and my.kot.net isn't either.

Comment 5 Erik Troan 2000-08-07 21:51:23 UTC
Fixed in pump-0.8.1


Note You need to log in before you can comment on or make changes to this bug.